changed / switched to hyprland extra repo

This commit is contained in:
JaKooLit
2023-12-13 10:03:23 +09:00
parent eb2938d708
commit 17d919c0ed
3 changed files with 18 additions and 10 deletions

View File

@@ -1,5 +1,8 @@
## Changelogs ## Changelogs
## 13 Dec 2023
- switched hyprland to Extra Repo hyprland (both nvidia and non-nvidia). Seeing they are updating all the time :)
## 11 Dec 2023 ## 11 Dec 2023
- Changing over to zsh automatically if user opted - Changing over to zsh automatically if user opted
- If chose to install zsh and have no login manager, zsh auto login will auto start Hyprland - If chose to install zsh and have no login manager, zsh auto login will auto start Hyprland

View File

@@ -1,7 +1,7 @@
#!/bin/bash #!/bin/bash
hypr=( hypr=(
hyprland-git hyprland
) )
############## WARNING DO NOT EDIT BEYOND THIS LINE if you dont know what you are doing! ###################################### ############## WARNING DO NOT EDIT BEYOND THIS LINE if you dont know what you are doing! ######################################
@@ -44,17 +44,17 @@ install_package() {
fi fi
} }
# Removing outdated Hyprland from extra repo to avoid conflict # Removing other Hyprland to avoid conflict
printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n" printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n"
if pacman -Qs hyprland > /dev/null; then if pacman -Qs hyprland > /dev/null; then
printf "${YELLOW} Hyprland detected. uninstalling to install Hyprland-git...${RESET}\n" printf "${YELLOW} Hyprland detected. uninstalling to install Hyprland-git...${RESET}\n"
for hyprnvi in hyprland hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do for hyprnvi in hyprland-git hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do
sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true
done done
fi fi
# Hyprland # Hyprland
printf "${NOTE} Installing Hyprland Packages...\n" printf "${NOTE} Installing Hyprland .......\n"
for HYPR in "${hypr[@]}"; do for HYPR in "${hypr[@]}"; do
install_package "$HYPR" 2>&1 | tee -a "$LOG" install_package "$HYPR" 2>&1 | tee -a "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $HYPR install had failed, please check the install.log"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $HYPR install had failed, please check the install.log"; exit 1; }

View File

@@ -8,6 +8,10 @@ nvidia_pkg=(
libva-nvidia-driver-git libva-nvidia-driver-git
) )
hypr=(
hyprland
)
############## WARNING DO NOT EDIT BEYOND THIS LINE if you dont know what you are doing! ###################################### ############## WARNING DO NOT EDIT BEYOND THIS LINE if you dont know what you are doing! ######################################
# Set some colors for output messages # Set some colors for output messages
@@ -52,15 +56,16 @@ install_package() {
printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n" printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n"
if pacman -Qs hyprland > /dev/null; then if pacman -Qs hyprland > /dev/null; then
printf "${YELLOW} Hyprland detected. uninstalling to install Hyprland-git...${RESET}\n" printf "${YELLOW} Hyprland detected. uninstalling to install Hyprland-git...${RESET}\n"
for hyprnvi in hyprland hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do for hyprnvi in hyprland-git hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do
sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true
done done
fi fi
# install hyprland-git # Hyprland
printf "${YELLOW}Installing Hyprland-git...${RESET}\n" printf "${NOTE} Installing Hyprland......\n"
for PKG1 in hyprland-git; do for HYPR in "${hypr[@]}"; do
install_package "$PKG1" 2>&1 | tee -a "$LOG" install_package "$HYPR" 2>&1 | tee -a "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $HYPR install had failed, please check the install.log"; exit 1; }
done done
# Install additional Nvidia packages # Install additional Nvidia packages